/*
 ============================================================================
 Name		: DialogExamAppUi.h
 Author	  : Hou maoqing
 Copyright   : Copyright (c) Hou maoqing 2008
 Description : Declares UI class for application.
 ============================================================================
 */

#ifndef __DIALOGEXAMAPPUI_h__
#define __DIALOGEXAMAPPUI_h__

// INCLUDES
#include <aknappui.h>

// FORWARD DECLARATIONS
class CDialogExamAppView;

// CLASS DECLARATION
/**
 * CDialogExamAppUi application UI class.
 * Interacts with the user through the UI and request message processing
 * from the handler class
 */
class CDialogExamAppUi : public CAknAppUi
	{
public:
	// Constructors and destructor

	/**
	 * ConstructL.
	 * 2nd phase constructor.
	 */
	void ConstructL();

	/**
	 * CDialogExamAppUi.
	 * C++ default constructor. This needs to be public due to
	 * the way the framework constructs the AppUi
	 */
	CDialogExamAppUi();

	/**
	 * ~CDialogExamAppUi.
	 * Virtual Destructor.
	 */
	virtual ~CDialogExamAppUi();

private:
	// Functions from base classes

	/**
	 * From CEikAppUi, HandleCommandL.
	 * Takes care of command handling.
	 * @param aCommand Command to be handled.
	 */
	void HandleCommandL(TInt aCommand);

	/**
	 *  HandleStatusPaneSizeChange.
	 *  Called by the framework when the application status pane
	 *  size is changed.
	 */
	void HandleStatusPaneSizeChange();

	/**
	 *  From CCoeAppUi, HelpContextL.
	 *  Provides help context for the application.
	 *  size is changed.
	 */
	CArrayFix<TCoeHelpContext>* HelpContextL() const;

private:
	// Data

	/**
	 * The application view
	 * Owned by CDialogExamAppUi
	 */
	CDialogExamAppView* iAppView;

	TBuf<30> iContactName;
	};

#endif // __DIALOGEXAMAPPUI_h__
// End of File
