/*
 ============================================================================
 Name		: DialogExamAppView.h
 Author	  : Hou maoqing
 Copyright   : Copyright (c) Hou maoqing 2008
 Description : Declares view class for application.
 ============================================================================
 */

#ifndef __DIALOGEXAMAPPVIEW_h__
#define __DIALOGEXAMAPPVIEW_h__

// INCLUDES
#include <coecntrl.h>

// CLASS DECLARATION
class CDialogExamAppView : public CCoeControl
	{
public:
	// New methods

	/**
	 * NewL.
	 * Two-phased constructor.
	 * Create a CDialogExamAppView object, which will draw itself to aRect.
	 * @param aRect The rectangle this view will be drawn to.
	 * @return a pointer to the created instance of CDialogExamAppView.
	 */
	static CDialogExamAppView* NewL(const TRect& aRect);

	/**
	 * NewLC.
	 * Two-phased constructor.
	 * Create a CDialogExamAppView object, which will draw itself
	 * to aRect.
	 * @param aRect Rectangle this view will be drawn to.
	 * @return A pointer to the created instance of CDialogExamAppView.
	 */
	static CDialogExamAppView* NewLC(const TRect& aRect);

	/**
	 * ~CDialogExamAppView
	 * Virtual Destructor.
	 */
	virtual ~CDialogExamAppView();

public:
	// Functions from base classes

	/**
	 * From CCoeControl, Draw
	 * Draw this CDialogExamAppView to the screen.
	 * @param aRect the rectangle of this view that needs updating
	 */
	void Draw(const TRect& aRect) const;

	/**
	 * From CoeControl, SizeChanged.
	 * Called by framework when the view size is changed.
	 */
	virtual void SizeChanged();

private:
	// Constructors

	/**
	 * ConstructL
	 * 2nd phase constructor.
	 * Perform the second phase construction of a
	 * CDialogExamAppView object.
	 * @param aRect The rectangle this view will be drawn to.
	 */
	void ConstructL(const TRect& aRect);

	/**
	 * CDialogExamAppView.
	 * C++ default constructor.
	 */
	CDialogExamAppView();

	};

#endif // __DIALOGEXAMAPPVIEW_h__
// End of File
