/*
 ============================================================================
 Name		: DialogExamDocument.cpp
 Author	  : Hou maoqing
 Copyright   : Copyright (c) Hou maoqing 2008
 Description : CDialogExamDocument implementation
 ============================================================================
 */

// INCLUDE FILES
#include "DialogExamAppUi.h"
#include "DialogExamDocument.h"

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// CDialogExamDocument::NewL()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CDialogExamDocument* CDialogExamDocument::NewL(CEikApplication& aApp)
	{
	CDialogExamDocument* self = NewLC(aApp);
	CleanupStack::Pop(self);
	return self;
	}

// -----------------------------------------------------------------------------
// CDialogExamDocument::NewLC()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CDialogExamDocument* CDialogExamDocument::NewLC(CEikApplication& aApp)
	{
	CDialogExamDocument* self = new ( ELeave ) CDialogExamDocument( aApp );

	CleanupStack::PushL(self);
	self->ConstructL();
	return self;
	}

// -----------------------------------------------------------------------------
// CDialogExamDocument::ConstructL()
// Symbian 2nd phase constructor can leave.
// -----------------------------------------------------------------------------
//
void CDialogExamDocument::ConstructL()
	{
	// No implementation required
	}

// -----------------------------------------------------------------------------
// CDialogExamDocument::CDialogExamDocument()
// C++ default constructor can NOT contain any code, that might leave.
// -----------------------------------------------------------------------------
//
CDialogExamDocument::CDialogExamDocument(CEikApplication& aApp) :
	CAknDocument(aApp)
	{
	// No implementation required
	}

// ---------------------------------------------------------------------------
// CDialogExamDocument::~CDialogExamDocument()
// Destructor.
// ---------------------------------------------------------------------------
//
CDialogExamDocument::~CDialogExamDocument()
	{
	// No implementation required
	}

// ---------------------------------------------------------------------------
// CDialogExamDocument::CreateAppUiL()
// Constructs CreateAppUi.
// ---------------------------------------------------------------------------
//
CEikAppUi* CDialogExamDocument::CreateAppUiL()
	{
	// Create the application user interface, and return a pointer to it;
	// the framework takes ownership of this object
	return new ( ELeave )CDialogExamAppUi;
	}

// End of File
